Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries.language
[Java] Interface PreprocessingTool

    org.gradle.nativebinaries.Tool
      org.gradle.nativebinaries.language.PreprocessingTool

All Superinterfaces:
  Tool

    @Incubating
    public interface PreprocessingTool
    extends Tool

A tool that permits configuration of the C preprocessor.

Method Summary
`void` | `define(String name)` Defines a named preprocessor macros to use when compiling this binary.
`void` | `define(String name, String definition)` Defines a named preprocessor macro with a value, which will be used when compiling this binary.
`Map` | `getMacros()` The set of preprocessor macros to define when compiling this binary.

Methods inherited from interface Tool
args, getArgs

Method Detail

### define

    public void define(String name)

  Defines a named preprocessor macros to use when compiling this binary. The macro will be supplied to the compiler as '-D name'.

### define

    public void define(String name, String definition)

  Defines a named preprocessor macro with a value, which will be used when compiling this binary. The macro will be supplied to the compiler as '-D name=definition'.

### getMacros

    public Map getMacros()

  The set of preprocessor macros to define when compiling this binary.

Gradle API 1.10